using Tiger.Networking.Game.Sessions;

namespace Tiger.Game.Achievements;

public interface IAchievementManager
{
    IDictionary<string, Achievement> Achievements { get; }
    Task LoadAchievementsAsync();
    Task UpdateAchievementAsync(string achievementName, int progress, GameSession session);
}