using Tiger.Networking.Game.Sessions;

namespace Tiger.Game.Catalogue;

public interface ICatalogueManager
{
    public IDictionary<int, CataloguePage> Pages { get; }
    public IDictionary<int, CatalogueFeaturedPage> FeaturedPages { get; }
    public IDictionary<int, ClubOffer> ClubOffers { get; }
    Task LoadPagesAsync();
    Task LoadFeaturedPagesAsync();
    Task LoadClubOffersAsync();
    Task PurchaseClubOffer(int offerId, GameSession gameSession);
}